namespace Intrepid.Core.Entities
{
    public readonly struct EntityMotorMoveOptions
    {
        public readonly bool KeepHeightWhenNoGround;

        public EntityMotorMoveOptions(
            bool keepHeightWhenNoGround)
        {
            KeepHeightWhenNoGround = keepHeightWhenNoGround;
        }

        public static EntityMotorMoveOptions Default => new(
            keepHeightWhenNoGround: false
        );

        public static EntityMotorMoveOptions GapCrossing => new(
            keepHeightWhenNoGround: true
        );
    }
}